# PingRequest | xrpl
Documentation for xrpl

# Interface PingRequest

The ping command returns an acknowledgement, so that clients can test the connection status and latency. Expects a response in the form of a PingResponse.

#### Hierarchy

- BaseRequest
  - PingRequest

- Defined in packages/xrpl/src/models/methods/ping.ts:10

#####
Index

### Properties

api_version?
command
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "ping"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/ping.ts:11

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

Generated using TypeDoc